// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

/**
 * Protobuf type {@code dsepractice.chinese.v1alpha1.ListActiveGameSessionsResponse}
 */
public  final class ListActiveGameSessionsResponse extends
    com.google.protobuf.GeneratedMessageLite<
        ListActiveGameSessionsResponse, ListActiveGameSessionsResponse.Builder> implements
    // @@protoc_insertion_point(message_implements:dsepractice.chinese.v1alpha1.ListActiveGameSessionsResponse)
    ListActiveGameSessionsResponseOrBuilder {
  private ListActiveGameSessionsResponse() {
    gameSessions_ = emptyProtobufList();
  }
  public static final int GAME_SESSIONS_FIELD_NUMBER = 1;
  private com.google.protobuf.Internal.ProtobufList<gg.dsepractice.chinese.v1alpha1.GameSession> gameSessions_;
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.GameSession game_sessions = 1 [json_name = "gameSessions"];</code>
   */
  @java.lang.Override
  public java.util.List<gg.dsepractice.chinese.v1alpha1.GameSession> getGameSessionsList() {
    return gameSessions_;
  }
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.GameSession game_sessions = 1 [json_name = "gameSessions"];</code>
   */
  public java.util.List<? extends gg.dsepractice.chinese.v1alpha1.GameSessionOrBuilder> 
      getGameSessionsOrBuilderList() {
    return gameSessions_;
  }
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.GameSession game_sessions = 1 [json_name = "gameSessions"];</code>
   */
  @java.lang.Override
  public int getGameSessionsCount() {
    return gameSessions_.size();
  }
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.GameSession game_sessions = 1 [json_name = "gameSessions"];</code>
   */
  @java.lang.Override
  public gg.dsepractice.chinese.v1alpha1.GameSession getGameSessions(int index) {
    return gameSessions_.get(index);
  }
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.GameSession game_sessions = 1 [json_name = "gameSessions"];</code>
   */
  public gg.dsepractice.chinese.v1alpha1.GameSessionOrBuilder getGameSessionsOrBuilder(
      int index) {
    return gameSessions_.get(index);
  }
  private void ensureGameSessionsIsMutable() {
    com.google.protobuf.Internal.ProtobufList<gg.dsepractice.chinese.v1alpha1.GameSession> tmp = gameSessions_;
    if (!tmp.isModifiable()) {
      gameSessions_ =
          com.google.protobuf.GeneratedMessageLite.mutableCopy(tmp);
     }
  }

  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.GameSession game_sessions = 1 [json_name = "gameSessions"];</code>
   */
  private void setGameSessions(
      int index, gg.dsepractice.chinese.v1alpha1.GameSession value) {
    value.getClass();
  ensureGameSessionsIsMutable();
    gameSessions_.set(index, value);
  }
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.GameSession game_sessions = 1 [json_name = "gameSessions"];</code>
   */
  private void addGameSessions(gg.dsepractice.chinese.v1alpha1.GameSession value) {
    value.getClass();
  ensureGameSessionsIsMutable();
    gameSessions_.add(value);
  }
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.GameSession game_sessions = 1 [json_name = "gameSessions"];</code>
   */
  private void addGameSessions(
      int index, gg.dsepractice.chinese.v1alpha1.GameSession value) {
    value.getClass();
  ensureGameSessionsIsMutable();
    gameSessions_.add(index, value);
  }
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.GameSession game_sessions = 1 [json_name = "gameSessions"];</code>
   */
  private void addAllGameSessions(
      java.lang.Iterable<? extends gg.dsepractice.chinese.v1alpha1.GameSession> values) {
    ensureGameSessionsIsMutable();
    com.google.protobuf.AbstractMessageLite.addAll(
        values, gameSessions_);
  }
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.GameSession game_sessions = 1 [json_name = "gameSessions"];</code>
   */
  private void clearGameSessions() {
    gameSessions_ = emptyProtobufList();
  }
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.GameSession game_sessions = 1 [json_name = "gameSessions"];</code>
   */
  private void removeGameSessions(int index) {
    ensureGameSessionsIsMutable();
    gameSessions_.remove(index);
  }

  public static gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsResponse parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsResponse parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsResponse parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsResponse parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsResponse parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsResponse parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsResponse parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsResponse parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsResponse parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return parseDelimitedFrom(DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsResponse parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return parseDelimitedFrom(DEFAULT_INSTANCE, input, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsResponse parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsResponse parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input, extensionRegistry);
  }

  public static Builder newBuilder() {
    return (Builder) DEFAULT_INSTANCE.createBuilder();
  }
  public static Builder newBuilder(gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsResponse prototype) {
    return (Builder) DEFAULT_INSTANCE.createBuilder(prototype);
  }

  /**
   * Protobuf type {@code dsepractice.chinese.v1alpha1.ListActiveGameSessionsResponse}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageLite.Builder<
        gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsResponse, Builder> implements
      // @@protoc_insertion_point(builder_implements:dsepractice.chinese.v1alpha1.ListActiveGameSessionsResponse)
      gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsResponseOrBuilder {
    // Construct using gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsResponse.newBuilder()
    private Builder() {
      super(DEFAULT_INSTANCE);
    }


    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.GameSession game_sessions = 1 [json_name = "gameSessions"];</code>
     */
    @java.lang.Override
    public java.util.List<gg.dsepractice.chinese.v1alpha1.GameSession> getGameSessionsList() {
      return java.util.Collections.unmodifiableList(
          instance.getGameSessionsList());
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.GameSession game_sessions = 1 [json_name = "gameSessions"];</code>
     */
    @java.lang.Override
    public int getGameSessionsCount() {
      return instance.getGameSessionsCount();
    }/**
     * <code>repeated .dsepractice.chinese.v1alpha1.GameSession game_sessions = 1 [json_name = "gameSessions"];</code>
     */
    @java.lang.Override
    public gg.dsepractice.chinese.v1alpha1.GameSession getGameSessions(int index) {
      return instance.getGameSessions(index);
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.GameSession game_sessions = 1 [json_name = "gameSessions"];</code>
     */
    public Builder setGameSessions(
        int index, gg.dsepractice.chinese.v1alpha1.GameSession value) {
      copyOnWrite();
      instance.setGameSessions(index, value);
      return this;
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.GameSession game_sessions = 1 [json_name = "gameSessions"];</code>
     */
    public Builder setGameSessions(
        int index, gg.dsepractice.chinese.v1alpha1.GameSession.Builder builderForValue) {
      copyOnWrite();
      instance.setGameSessions(index,
          builderForValue.build());
      return this;
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.GameSession game_sessions = 1 [json_name = "gameSessions"];</code>
     */
    public Builder addGameSessions(gg.dsepractice.chinese.v1alpha1.GameSession value) {
      copyOnWrite();
      instance.addGameSessions(value);
      return this;
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.GameSession game_sessions = 1 [json_name = "gameSessions"];</code>
     */
    public Builder addGameSessions(
        int index, gg.dsepractice.chinese.v1alpha1.GameSession value) {
      copyOnWrite();
      instance.addGameSessions(index, value);
      return this;
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.GameSession game_sessions = 1 [json_name = "gameSessions"];</code>
     */
    public Builder addGameSessions(
        gg.dsepractice.chinese.v1alpha1.GameSession.Builder builderForValue) {
      copyOnWrite();
      instance.addGameSessions(builderForValue.build());
      return this;
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.GameSession game_sessions = 1 [json_name = "gameSessions"];</code>
     */
    public Builder addGameSessions(
        int index, gg.dsepractice.chinese.v1alpha1.GameSession.Builder builderForValue) {
      copyOnWrite();
      instance.addGameSessions(index,
          builderForValue.build());
      return this;
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.GameSession game_sessions = 1 [json_name = "gameSessions"];</code>
     */
    public Builder addAllGameSessions(
        java.lang.Iterable<? extends gg.dsepractice.chinese.v1alpha1.GameSession> values) {
      copyOnWrite();
      instance.addAllGameSessions(values);
      return this;
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.GameSession game_sessions = 1 [json_name = "gameSessions"];</code>
     */
    public Builder clearGameSessions() {
      copyOnWrite();
      instance.clearGameSessions();
      return this;
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.GameSession game_sessions = 1 [json_name = "gameSessions"];</code>
     */
    public Builder removeGameSessions(int index) {
      copyOnWrite();
      instance.removeGameSessions(index);
      return this;
    }

    // @@protoc_insertion_point(builder_scope:dsepractice.chinese.v1alpha1.ListActiveGameSessionsResponse)
  }
  @java.lang.Override
  @java.lang.SuppressWarnings({"unchecked", "fallthrough"})
  protected final java.lang.Object dynamicMethod(
      com.google.protobuf.GeneratedMessageLite.MethodToInvoke method,
      java.lang.Object arg0, java.lang.Object arg1) {
    switch (method) {
      case NEW_MUTABLE_INSTANCE: {
        return new gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsResponse();
      }
      case NEW_BUILDER: {
        return new Builder();
      }
      case BUILD_MESSAGE_INFO: {
          java.lang.Object[] objects = new java.lang.Object[] {
            "gameSessions_",
            gg.dsepractice.chinese.v1alpha1.GameSession.class,
          };
          java.lang.String info =
              "\u0000\u0001\u0000\u0000\u0001\u0001\u0001\u0000\u0001\u0000\u0001\u001b";
          return newMessageInfo(DEFAULT_INSTANCE, info, objects);
      }
      // fall through
      case GET_DEFAULT_INSTANCE: {
        return DEFAULT_INSTANCE;
      }
      case GET_PARSER: {
        com.google.protobuf.Parser<gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsResponse> parser = PARSER;
        if (parser == null) {
          synchronized (gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsResponse.class) {
            parser = PARSER;
            if (parser == null) {
              parser =
                  new DefaultInstanceBasedParser<gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsResponse>(
                      DEFAULT_INSTANCE);
              PARSER = parser;
            }
          }
        }
        return parser;
    }
    case GET_MEMOIZED_IS_INITIALIZED: {
      return (byte) 1;
    }
    case SET_MEMOIZED_IS_INITIALIZED: {
      return null;
    }
    }
    throw new UnsupportedOperationException();
  }


  // @@protoc_insertion_point(class_scope:dsepractice.chinese.v1alpha1.ListActiveGameSessionsResponse)
  private static final gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsResponse DEFAULT_INSTANCE;
  static {
    ListActiveGameSessionsResponse defaultInstance = new ListActiveGameSessionsResponse();
    // New instances are implicitly immutable so no need to make
    // immutable.
    DEFAULT_INSTANCE = defaultInstance;
    com.google.protobuf.GeneratedMessageLite.registerDefaultInstance(
      ListActiveGameSessionsResponse.class, defaultInstance);
  }

  public static gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsResponse getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static volatile com.google.protobuf.Parser<ListActiveGameSessionsResponse> PARSER;

  public static com.google.protobuf.Parser<ListActiveGameSessionsResponse> parser() {
    return DEFAULT_INSTANCE.getParserForType();
  }
}

